This time we’re going bigger than ever. Fabric, Power BI, SQL, AI and more. We're covering it all. You won't want to miss it.
Learn moreGet Fabric Certified for FREE during AI Skills Fest. This week only. Secure your voucher now.
Hi Guys,
when publishing to the workspace without folder I was using this API:
@groupId = {{getGroups.response.body.$.value[0].id}}
POST https://api.powerbi.com/v1.0/myorg/groups/{{groupId}}/imports?datasetDisplayName={{fileDisplayName}}&nameConflict=CreateOrOverwrite
Authorization: Bearer {{$aadV2Token appOnly}}
Content-Type: multipart/form-data; boundary=MfnBoundry
--MfnBoundry
Content-Disposition: form-data; name="files"; filename="{{filename}}"
Content-Type: application/octet-stream
< ./{{filename}}
--MfnBoundry--
Now there is new a way of publish report using rest api 2.0:
https://learn.microsoft.com/en-us/rest/api/power-bi-report/power-bi-reports/upload-power-bi-report
I am trying with:
@groupId = {{getGroups.response.body.$.value[0].id}}
POST https://api.powerbi.com/v2.0/myorg/groups/{{groupId}}/PowerBIreports(path='/RES-255/Vncm')/Model.Upload
Authorization: Bearer {{$aadV2Token appOnly}}
Content-Type: multipart/form-data; boundary=MfnBoundry
--MfnBoundry
Content-Disposition: form-data; name="files"; filename="{{filename}}"
Content-Type: application/octet-stream
< ./{{filename}}
--MfnBoundry--where RES-255 is my folder and "Vncm" is my report name.
But I am getting 404 expection.
How to make this proper?
Using Visual Studio Code and REST API extension.
Best,
Jacek
Solved! Go to Solution.
Please keep in mind that the new method is uploading the report into a holding area (Azure Blob storage) and not associating it to a workspace yet.
Please keep in mind that the new method is uploading the report into a holding area (Azure Blob storage) and not associating it to a workspace yet.
thanks!
Check out the May 2026 Power BI update to learn about new features.
Sign up to receive a private message when registration opens and key events begin.
If you have recently started exploring Fabric, we'd love to hear how it's going. Your feedback can help with product improvements.
| User | Count |
|---|---|
| 2 | |
| 2 | |
| 1 | |
| 1 | |
| 1 |